Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sim.util.distribution
Class Constants

    java.lang.Object
      sim.util.distribution.Constants

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  Arithmetic, Polynomial, Probability

    public class Constants

extends java.lang.Object
implements java.io.Serializable

Defines some useful constants.

See Also:
  Serialized Form

Field Summary
`protected static double` | `big`
`protected static double` | `biginv`
`protected static double` | `LOGPI`
`protected static double` | `MACHEP`
`protected static double` | `MAXGAM`
`protected static double` | `MAXLOG`
`protected static double` | `MINLOG`
`protected static double` | `SQRTH`
`protected static double` | `SQTPI`

Constructor Summary
`protected` | `Constants()` Makes this class non instantiable, but still let's others inherit from it.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MACHEP

    protected static final double MACHEP

See Also:
  Constant Field Values

### MAXLOG

    protected static final double MAXLOG

See Also:
  Constant Field Values

### MINLOG

    protected static final double MINLOG

See Also:
  Constant Field Values

### MAXGAM

    protected static final double MAXGAM

See Also:
  Constant Field Values

### SQTPI

    protected static final double SQTPI

See Also:
  Constant Field Values

### SQRTH

    protected static final double SQRTH

See Also:
  Constant Field Values

### LOGPI

    protected static final double LOGPI

See Also:
  Constant Field Values

### big

    protected static final double big

See Also:
  Constant Field Values

### biginv

    protected static final double biginv

See Also:
  Constant Field Values

Constructor Detail

### Constants

    protected Constants()

  Makes this class non instantiable, but still let's others inherit from it.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD